 TechFacts XP
copyright 2001 Dean Software Design
10th Anniversary 1991-2001

 Overview

Using the Interface
 Startup
Menu Options
Toolbars

System Options
 Machine Settings
 CPU Characteristics
 Memory Information
Available Printers
Display Characteristics
 Power (APM) Settings
 Media Devices and Settings
 Drive Map List
 Device List and Parameters
 CMOS Dump (Win 9x/ME only)
 Hardware Ports (IRQ,DMA)

Windows Options
 Operating System Version
 Time Zone Settings
Running Processes
Startup Data (INI,Registry)
 Database Availability
 DirectX Settings
 Windows List and Details
 Internet Explorer Version and Settings
 File Associations
Installed Fonts
Clipboard Viewer

NT/2000/XP
 NT Services (NT/2k/XP only)
 Performance Data
File Monitor

Network
 Network Settings
 Network Ports (TCP/UDP)
 Network Monitor
Port Scanner
Ping / Trace

Software Options
 Installed Software List
Software Search (Version,Company)
 Software Sniffer (DOS,Imports,Exports)
 Software Debug
Software Resource Explorer

Graphics Tools
 Icon Extractor
Graphics Viewer

System Tools
 Software Change Monitor
Registry Analysis and Cleanup
System Benchmark Tests
Disk Analysis
Directory Compare & Synchronize
 Disk Cleanup

Reports
 Text Report of all Techfacts Data
 Export data to HTML
Export data to Excel

International Language support
 Version History


 Overview

Techfacts XP provide advanced diagnostic, monitoring and troubleshooting tools for Windows 32 bit operating system platforms.

Supported OS:

Windows 95
Windows 98
Windows ME
Windows NT
Windows 2000
Windows XP (tested with RC1)

The Techfacts XP interface is intuitive and simple, providing a framework for navigation and display of data.


 Machine Settings

Identification
Machine name - Registry based
User name - Registry based

Bios Information
Name
Copyright
Date
Extended Information

Boot Information
Last Boot
System Up Time

Key Lock Settings
Num Lock
Caps Lock
Scroll Lock


 Menu Options

From the main menu, you have the following options:

File Menu
Configure - Invoke the configuration dialog
Print - Print the current topic or all topics
Close - Exit the program

Data Menu
Refresh - Refresh the data screens with updated information
Save Report as Text
Save all Topics
Save this Topic
Email the Data - Formats the current topic and invokes your default email program

Help Menu
About
Techfacts XP Help Index
Techfacts XP Help Topics
Send Email to Dean Software
www.winutils.com


 Startup

If you have an unregistered version of TechFacts XP, you will be shown the startup splash screen which indicates the number of days remaining in your trial period.

If your copy of Techfacts XP is registered then the splash screen is bypassed.


 Toolbar Options

Main Toolbar

Exit Button - Exits the program
Print Button - Prints the current topic
Email Button - Email the current topic using your default email client.
Web/Data Button - Switches Techfacts context between the integrated web browser and the data forms.
Web Back Button - navigate to previous URL
Web Forward Button - navigate to next URL
Web Refresh Button - refresh the current URL
Web Stop Button - Stop the current web navigation operation
URL Edit - enter and edit URL strings

Navigation Toolbar

System Options - Tools related to your system
Windows Options - Tools related to Windows
Software Options - Software search and interpretation tools
Tools Options - Tools related to performance and system improvement
Reports Options - Printing and Exporting data

Status Toolbar

Date and Time - Based on system clock
CPU Usage - Overall CPU utilization
Status text - Status from specific tool operations


 CPU Information

Model Identification
CPU Family and Model
Code name
Vendor
Transistors
Serial Number

Cache
Level 1 and 2 cache

Features List
Retrieved from CPU registers


 Memory Information

Memory Capacity
Physical Total
Physical Free
Page File Total
Page File Free
Virtual Total
Virtual Free

Memory Utilization Percentage

Memory Properties
Allocation granularity
Application address range
Page size


 Printer Information

Printer Name
Printer Port

Click on Properties button to open properties dialog for default printer.


 Display Information

Adapter List
Default adapter displayed
Click on drop down box to select a different adapter

Adapter Properties
Chipset
DAC
Memory

Click on "Supported Video Modes" to list all video modes this adapter supports

BIOS information when provided by adapter

Display Capabilities
Technology
Metrics
Font Resolution
Curve Capabilities
Line Capabilities
Polygon capabilities
Raster capabilities
Text capabilities


 Power Information

Advanced Power Management
AC Power Status: Offline or Online
Batter charge status

Battery Status
Full life time
Life time

Battery Charge graph


 Media Devices

Available Media Devices
List of all available media devices

Sound Devices
List of all available sound devices
Driver
Device


 Network Information

Network Adapters
List of all installed network adapters

Addresses
IP Addresses of machine
MAC addresses of adapters

Protocols - Click on button for all installed protocols

Services - Click on button for all installed services

Clients - Click on button for all installed clients

Winsock
Description
Version
Status


 Device List

List of all installed device groups based on registry groupings

Click on a device group to view all devices within that group

Click on a device to highlight the "Properties" button

Click on the properties button to show device driver information for the selected device


 Storage Information

List of all available devices - boot device will be shown, use the dropdown list to select other devices and retrieve storage data on that device.

Properties
Device type: Fixed, Removable, etc
UNC
Serial Number
Capacity
Free space
Space used graph (%)

Detailed Device Properties
Case sensitive
Unicode stored on disk
Persistent Acls
File compression
Volume is compressed
Long filename support
Encrypted file system support
Object IDs support
Reparse points support
Sparse files support
Disk quotas support


CMOS

 CMOS Listing

Displays all CMOS settings from 0 to 7fhex
Index
Item
Value
Hex
Chr


 Hardware Ports

Enumerates all device on the system that have port data.

Device Class
Device Key
Description
Port Data
Port I/O areas
Memory areas
IRQs used


 Network Port Information

Enumerates all network ports that are open

Protocol: TCP, UDP
Local Address
Remote Address
State: Listening, attached..


 Operating System Information

Windows O/S: Win9x, WinME, WinNT, Win2k, WinXP

Version
Product ID
Product Key
Registered User
Registered Organization

Windows Folders
Folder name
Location

Environment - Click on this button to display Windows environment variables

Installed Suites - Click on this button to display installed Windows Suites


 Date & Time Zone Information

Time Zone data including standard and daylight times and bias.


 Process Information

Enumerates all running process on the system

PID - Process ID in hex
Image name - executable
Location - path where executable resides

Use the "Terminate" button to terminate a selected process

Click the "Properties" button to display a dialog on the properties of the process executable file


 Startup Information

Startup - Registry user options
Startup - Registry common startup options
HKLM - Registry local machine RUN options
HKCU - Registry current user RUN options
Run Once - Registry run once options
WIN.INI - Windows default INI settings to run


 Database Engines

If found, each database will show it's installed version.

Open Database Connectivity (ODBC)
Borland Database Engine
Microsoft Data Access Objects
Microsoft Active-X Objects


 DirectX Information

If installed, the installed version is shown

List of all installed DirectX drivers and associated device


 Windows List

Enumeration of all visible and non-visible windows. By default, list shows top windows.

Click on "+" to drill into child windows for each parent.

Select a window and click on the "Properties" tab to view detailed windows data

General Tab
Window name
Text
Handle
Process
Thread
Parent
Wnd Proc
Instance
ID
Rectangle
Client Rectangle
User data

Style Tab
Styles
Extended Styles

Class Info
Class name
Atom
Class bytes
Win bytes
Wnd Proc
Instance
HBackground
HCursor
HIcon
Styles


 NT Services

Available on only WinNT,Win 2000 and Win XP platforms


 Internet Explorer Information

Internet Explorer installed or unavailable
Product version
Version in registry
Version in library
Version description
Encryption strength
Start page


 Installed Software

Lists all installed software on your system


 Software Search

This tool searches local and network drives for software based on the software versioning information vendors embed in software:
Company Name
Description
Version

Search Criteria Options

Select the disk(s) you want to examine by checking the checkbox by the disk identifier.

To search for words within the Company Name (ie: Dean Software) check the checkbox and enter the characters to search for.

To search for words within the File Description (ie: TechFacts) check the checkbox and enter the characters to search for.

Viewing the Results

The Results of the search are displayed on the results tab.

File name
Company name
Description
Version
Path


 Software Sniffer

This software tool can be used to examine the detailed interface of software and how it relates to your system and dependancies on other software

You can examine
MSDos Header Data
PE Header Data
PE Optional Header Data
Import List
Export List

Selection Criteria

Select which portions of the file interfaces you want to examine by checking the checkboxes by the options.

Using the folder explorer, navigate to the folder you want to examine.

Clicking on a folder name will populate the file explorer with the files in that folder.

To examine all the files in a folder and all sub-folders, click on the "Examine Folder" button.

To examine a specific file selected in the file explorer, click on the "Examine File" button.

Viewing the Results

File name and path
Reference type
Data related to the reference


 Software Change Monitor

This tool is used to monitor changes to directories, files and the registry. This is done by taking a snapshot of your system at a particular date and time and then comparing it to another snapshot from a different date and time and documenting the differences.

Taking a snapshot

On the Settings tab, check the registry keys you want to monitor. Note that most user settings occur in the HKEY_CLASSES_ROOT, HKEY_CURRENT_USER and HKEY_LOCAL_MACHINE keys.

Check which disks you want to monitor.

Indicate whether you want to monitor system INI files for changes.

Once your snapshot settings are complete, click on the"Take Snapshot" button. The progress window will appear until the snapshot is complete. If you click the "Cancel" button during progress of the snapshot then no snapshot data will be saved.

Selecting snapshots to compare

When a snapshot is complete you will be shown a list of all snapshots available in the Techfacts XP folder.

Using the checkboxes next to the snapshot dates and times, select 2 snapshots to compare for differenced.

Click the "Run Comparison" button

Viewing results

When the comparison is complete the results page will be shown. Each category will be shown with specific results:

Registry Keys Added
Registry Keys Deleted
Registry Keys Changed


 Registry Analysis

This tools analyses your system's registry for abandoned links to files or folders on your system. By eliminating these unneeded links you can make your registry smaller and more efficient.

Starting an Analysis

Select which registry keys you want examined.

Note that the HKEY_CLASSES_ROOT and HKEY_CURRENT_CONFIG keys contain large amounts of binary data which make them hard to examine. User data is rarely found in these keys.

To begin the analysis, click the "Start Analysis" button .

Viewing the Results

Deleting Abandoned Links


 Benchmark Tests

Use this tool to run performance benchmarks on specific aspects of your system.

Disk Benchmark Test

This test measures a disk's read and write performance.

Running and Results

After you click on the "Start Benchmark" button, the Results tab will be displayed.

For each benchmark test a timestamped entry will appear with the benchmark results.


 Text Report of All Topics

This option provides a text summary of all diagnostic topics within Techfacts XP.

This report is a better option for printing or emailing.


 Export Topic to HTML

This option exports the currently viewed diagnostic option to an HTML format file which will be automatically loaded into the integrated web browser.


 Disk Analysis

Select the drive or folder to analyse and click on the Scan Disk button.

During the analysis the progress windows will be displayed. At any time during the analysis you can click the CANCEL button and partial analysis results will be displayed.

Data displayed:

File
Disk Space
%
Graph

Actions available:

- Double click on a folder to drill into that folder
- Show Duplicates


 Duplicate Files

Displays all duplicate files discovered during the disk analysis. Data is displayed in a new window.

Statistics data displayed:

Duplicates - number of duplicate files
Lost space to duplicates - in bytes

File Data displayed:

File Name
Size
Modified
Path

Actions available:

Copy
Delete
Print


 Network Monitor

Provides detailed information regarding the operation and status of your network connections.

Net Params

TCP Conn.

UDP Conn.

IP Address Tbl.

IP Routing Tbl.

Adapter Info

ARP Tbl

TCP Stats

UDP Stats

IP Stats

ICMP Input Stats

ICMP Output Stats


 Drive Map

This function displays all local and remote drives that are mapped to local drive letters (A..Z). The discovery process may take a few moments.

Data displayed:

Drive - A..Z
Type - Fixed, Removable, CDROM
R/W - Read only, write only, Read/Write
Total Bytes - Size of drive
Free Bytes - Available space on drive
Vol Ser - Serial number of the disk volume
Label - Volume label (if available)


 Integrated Web Browser

Techfacts XP includes an integrated web browser based on the installed Internet Explorer controls. The rendering and browsing capabilities of the integrated browser are dependant on the feature set of the installed version of Internet Explorer.

Basic controls

URL Entry - Enter URLs in the URL field on the main toolbar. Entered URLs are stored in the dropdown control and can be recalled at a later time.

Back, Forward, Refresh and Stop controls are available on the main toolbar.

When the web browser is visible, you can click the web/data switch button on the main toolbar to return to the data display portion of Techfacts XP.

You can RIGHT CLICK on the web browser to invoke the Internet Explorer standard controls popup menu.


 Export to Excel

This function exports the data topics to an excel worksheet.

Data is exported as follows:

Column 1: Section
Column 2: Topic
Column 3: Data

Row 1 is the column headers, data starts on row 3.


 Directory Compare and Synchronize

This tool is used to compare the contents of directories/folders and then synchronize their files.

Use the Left and Right panes to browse directories/folders and compare files.

You can then use the synchronization buttons to update either or both folders with newer files from the other.


 International Language Support

Techfacts XP can support other languages being displayed on certain menus, buttons and controls.

To use a language file go to the Techfacts XP configuration screen and select the option to use a language file and enter the language file name.

A default english.ini is delivered with Techfacts XP. Edit the values on the right of each "=" to be phrases in other languages and save the INI file to a different name, ie: german.ini.

[Translations]
; Main Menu captions
TFXPForm.File1.caption = &File
TFXPForm.Data1.caption = &Data
TFXPForm.Help1.caption = &Help
TFXPForm.Open1.caption = &Open
TFXPForm.Configure1.caption = C&onfigure
TFXPForm.Print1.caption = &Print
TFXPForm.Close2.caption = &Close
TFXPForm.Refresh1.caption = &Refresh
TFXPForm.SavereportasText1.caption = &Save report as Text
TFXPForm.Emailthisdata1.caption = &Email this data
TFXPForm.About1.caption = &About
TFXPForm.TechFactsXPHelp1.caption = &TechFacts XP Help Index
TFXPForm.TechFactsXPHelpTopics1.caption = &Get Help on the visible data
; Outlook style header captions
TFXPForm.Header1.caption = &System
TFXPForm.Header2.caption = &Windows
TFXPForm.Header3.caption = S&oftware
TFXPForm.Header4.caption = &Reports
TFXPForm.Header5.caption = &Tools
; Outlook style button bar captions
TFXPForm.OutlookButton0.caption = &Machine
TFXPForm.OutlookButton1.caption = &CPU
TFXPForm.OutlookButton2.caption = M&emory
TFXPForm.OutlookButton3.caption = &Printers
TFXPForm.OutlookButton4.caption = &Display
TFXPForm.OutlookButton5.caption = P&ower
TFXPForm.OutlookButton6.caption = Med&ia
TFXPForm.OutlookButton7.caption = &Network
TFXPForm.OutlookButton8.caption = De&vices
TFXPForm.OutlookButton9.caption = &Time Zone
TFXPForm.OutlookButton10.caption = &Processes
TFXPForm.OutlookButton11.caption = &Startup
TFXPForm.OutlookButton12.caption = &Database
TFXPForm.OutlookButton13.caption = D&rive Data
TFXPForm.OutlookButton14.caption = &Installed SW
TFXPForm.OutlookButton15.caption = Direct&X
TFXPForm.OutlookButton16.caption = &Windows List
TFXPForm.OutlookButton17.caption = CMO&S
TFXPForm.OutlookButton18.caption = &Text Report
TFXPForm.OutlookButton19.caption = &NT Services
TFXPForm.OutlookButton20.caption = H&W Ports
TFXPForm.OutlookButton21.caption = &IE Info
TFXPForm.OutlookButton22.caption = &SW Search
TFXPForm.OutlookButton23.caption = &Export to HTML
TFXPForm.OutlookButton24.caption = NW Por&ts
TFXPForm.OutlookButton25.caption = &System Changes
TFXPForm.OutlookButton26.caption = &Registry Analysis
TFXPForm.OutlookButton27.caption = S&W Sniffer
TFXPForm.OutlookButton28.caption = &Benchmark Tests
TFXPForm.OutlookButton29.caption = &Disk Analysis
TFXPForm.OutlookButton30.caption = Drive Ma&p
TFXPForm.OutlookButton31.caption = &NW Monitor
TFXPForm.OutlookButton32.caption = E&xport to Excel
TFXPForm.OutlookButton33.caption = &O/S
TFXPForm.OutlookButton34.caption = &Folder Compare
TFXPForm.OutlookButton35.caption = &Associations
TFXPForm.OutlookButton36.caption = &Installed Fonts
TFXPForm.OutlookButton37.caption = &Clipboard
TFXPForm.OutlookButton38.caption = Dis&k Cleanup

[Messages]
Workstation Information = Workstation Information
Operation System Information = Operation System Information
CPU Information = CPU Information
Memory Information = Memory Information
Display Information = Display Information
Power Information = Power Information
Media Device Information = Media Device Information
Network Information = Network Information
Installed Device Information = Installed Device Information
Printer Information = Printer Information
Database Engine Information = Database Engine Information
Storage Information = Storage Information
Date and Time Zone Information = Date and Time Zone Information
Process Information = Process Information
Startup Information = Startup Information
Installed Software = Installed Software
Windows Enumeration = Windows Enumeration
CMOS Information = CMOS Information
Internet Explorer Information = Internet Explorer Information
Hardware Port Information = Hardware Port Information
NT Service Information = NT Service Information
Software Search = Software Search
Network Port Information = Network Port Information
System Change Monitor = System Change Monitor
Registry Analysis = Registry Analysis
Software Sniffer = Software Sniffer
Performance Tests = Performance Tests
DirectX Information = DirectX Information
Network Drive Mappings = Network Drive Mappings
Disk Evaluator = Disk Evaluator
Network Monitor = Network Monitor
Disk Analysis = Disk Analysis
Directory/Folder Comparison = Directory/Folder Comparison
File Associations = File Associations
Installed Fonts = Installed Fonts
Clipboard Formats = Clipboard Formats
Disk Cleanup = Disk Cleanup
Unable to invoke your default EMail client.. = Unable to invoke your default EMail client..
TechFacts XP unable to gather all data = TechFacts XP unable to gather all data
TechFacts XP already has a search/discovery running.. = TechFacts XP already has a search/discovery running..
This information does not have a print object = This information does not have a print object


 File Associations

The option provides a form that displays all file associations registered with the Windows operation system.

Click on "Refresh" to update the list.

Click on "Done" to close the form.


 Installed Fonts

This option provides a list of all installed fonts and displays the font name in the visible font characteristics.

You can view only TrueType fonts by clicking on the checkbox for that option.

You can dynamically change the font viewing size by adjusting the font size in the available control.


 Clipboard Viewer

This option displays a list of all registered clipboard formats on the clipboard.

Click on the "Clear Clipboard" button to completely clear all formats from the clipboard.


 Disk Cleanup

This tool will search a specific drive for files that may be cluttering the drive space and allows you to selectively eliminate them.

Select the folder on the disk in which to start the search.

Add or Delete any file extensions to search for.

Add or Delete any files to search for.

Add or Delete any folders to search within for files older than x days.

Select whether or not to search for files that have not been accessed in x days and select the number of days.

Click on the "Start Search" button to begin the search for matching software.


 Icon Extractor

This tool searches files and folders for icons embedded within binary programs and libraries.

Files examined: *.exe; *.dll


 Graphics Viewer

This tool lists various graphics formats in a thumbnail viewer and then allows you to view and modify the graphic image.


 Software Debug

This software tool allows you to launch Windows executables and then track their loading and unloading steps such as libraries, processes and threads.

Select a program to execute. Techfacts will execute the program and display the process related events.

Threads: Creation (handle) and Exit.
DLLs: Loading and unloading of libraries
Process: creation
Exceptions: Processes related exceptions


 Port Scanner

This network tool scans host ip ports for valid ports.


 Network Ping / Trace

This network tool lets you Ping or Trace host names or IP addresses


 NT/2000/XP Performance Data

This tool displays the performance data unique to Windows NT/2000/XP.

The initial performance tree displays the standard performance topics. Click on the "+" next to each subject to expand into performance categories and counters.


 Software Resource Explorer

This tool displays all resources included in Windows binary files. This includes:
- icons
- graphics
- strings
- dialogs
- other resources


 NT File Monitor

The NT/2000/XP file monitor utility traces changes to specific files in folders and subfolders.

Actions traced include: creation, modification, deletion and renaming.

When you have selected this tool from the toolbar, a folder tree will appear. Click on the folder which will be the top folder for all file monitor activities.

Click on the "Start" button to start monitoring.

Click on the "Stop" button to stop monitoring.


 Version History

1.42 11/19/01
- Added new NT File Monitor.

1.41 11/12/01
- Corrected bug in XP that wasn't displaying network protocol, client or services.

1.40 11/04/01
- Added Software Resource Explorer. Shows all resources used by executables and libraries.
- Added Performance Data Viewer. Shows NT/2000/XP performance data.
- Updated sections and options on the toolbars.
- Enhanced the Print, Copy-to-Clipboard and Email engines to support more Techfacts data types.

1.30 10/26/01
- Added Graphics viewer tool
- Corrected bug in file search routine
- Added Dutch translation of language file (thanks to Ron Vanderputten)

1.22 10/22/01
- Added SW Debug tool - shows loading and unloading of program DLLs, etc..
- Added Network Port Scanner, opens a range of ports on a remote system
- Added Icon Extractor - displays Icons available in a program or library
- Replaced outlook toolbar with one requiring less memory overhead (simpler).
- Updated invalid email and URL information for Dean Software

1.21 10/16/01
- Corrected error on CMOS panel
- Added Double-Click details on Internet Explorer Data Cache entries

1.20 10/12/01
- New File Association Viewer
- New Installed Font Viewer
- New Clipboard Format Viewer
- New Disk Cleanup Tool
- Update to IExx Data to show cache and cookies
- Update to prevent exception if system does not support network monitoring DLL.

1.10 9/5/01

- New Disk Utilization Tool
- New Duplicate File Finder (with Delete).
- New Drive Map Lister
- New Network Monitor
- New Directory/Folder comparison and synchronization tool.
- Added Help Director.
- Added integrated web browser with web navigation on the main toolbar.
- Added capability to support other languages on certain menus and buttons.

1.00 8/12/01 First Release